Image
Duplicate an image
Duplicate an image
POST
/
images
/
{imageId}
/
clone
Duplicate an image
curl --request POST \
--url https://api.kameleoon.com/images/{imageId}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"array": true,
"bigDecimal": true,
"bigInteger": true,
"binary": true,
"boolean": true,
"container": true,
"double": true,
"embeddedValue": true,
"empty": true,
"float": true,
"floatingPointNumber": true,
"int": true,
"integralNumber": true,
"long": true,
"missingNode": true,
"null": true,
"number": true,
"object": true,
"pojo": true,
"short": true,
"string": true,
"textual": true,
"valueNode": true
}
'import requests
url = "https://api.kameleoon.com/images/{imageId}/clone"
payload = {
"array": True,
"bigDecimal": True,
"bigInteger": True,
"binary": True,
"boolean": True,
"container": True,
"double": True,
"embeddedValue": True,
"empty": True,
"float": True,
"floatingPointNumber": True,
"int": True,
"integralNumber": True,
"long": True,
"missingNode": True,
"null": True,
"number": True,
"object": True,
"pojo": True,
"short": True,
"string": True,
"textual": True,
"valueNode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
array: true,
bigDecimal: true,
bigInteger: true,
binary: true,
boolean: true,
container: true,
double: true,
embeddedValue: true,
empty: true,
float: true,
floatingPointNumber: true,
int: true,
integralNumber: true,
long: true,
missingNode: true,
null: true,
number: true,
object: true,
pojo: true,
short: true,
string: true,
textual: true,
valueNode: true
})
};
fetch('https://api.kameleoon.com/images/{imageId}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kameleoon.com/images/{imageId}/clone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'array' => true,
'bigDecimal' => true,
'bigInteger' => true,
'binary' => true,
'boolean' => true,
'container' => true,
'double' => true,
'embeddedValue' => true,
'empty' => true,
'float' => true,
'floatingPointNumber' => true,
'int' => true,
'integralNumber' => true,
'long' => true,
'missingNode' => true,
'null' => true,
'number' => true,
'object' => true,
'pojo' => true,
'short' => true,
'string' => true,
'textual' => true,
'valueNode' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kameleoon.com/images/{imageId}/clone"
payload := strings.NewReader("{\n \"array\": true,\n \"bigDecimal\": true,\n \"bigInteger\": true,\n \"binary\": true,\n \"boolean\": true,\n \"container\": true,\n \"double\": true,\n \"embeddedValue\": true,\n \"empty\": true,\n \"float\": true,\n \"floatingPointNumber\": true,\n \"int\": true,\n \"integralNumber\": true,\n \"long\": true,\n \"missingNode\": true,\n \"null\": true,\n \"number\": true,\n \"object\": true,\n \"pojo\": true,\n \"short\": true,\n \"string\": true,\n \"textual\": true,\n \"valueNode\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kameleoon.com/images/{imageId}/clone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"array\": true,\n \"bigDecimal\": true,\n \"bigInteger\": true,\n \"binary\": true,\n \"boolean\": true,\n \"container\": true,\n \"double\": true,\n \"embeddedValue\": true,\n \"empty\": true,\n \"float\": true,\n \"floatingPointNumber\": true,\n \"int\": true,\n \"integralNumber\": true,\n \"long\": true,\n \"missingNode\": true,\n \"null\": true,\n \"number\": true,\n \"object\": true,\n \"pojo\": true,\n \"short\": true,\n \"string\": true,\n \"textual\": true,\n \"valueNode\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kameleoon.com/images/{imageId}/clone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"array\": true,\n \"bigDecimal\": true,\n \"bigInteger\": true,\n \"binary\": true,\n \"boolean\": true,\n \"container\": true,\n \"double\": true,\n \"embeddedValue\": true,\n \"empty\": true,\n \"float\": true,\n \"floatingPointNumber\": true,\n \"int\": true,\n \"integralNumber\": true,\n \"long\": true,\n \"missingNode\": true,\n \"null\": true,\n \"number\": true,\n \"object\": true,\n \"pojo\": true,\n \"short\": true,\n \"string\": true,\n \"textual\": true,\n \"valueNode\": true\n}"
response = http.request(request)
puts response.read_body{
"altText": "<string>",
"baseColor": 123,
"colorDepth": 123,
"createdById": 123,
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"fileName": "<string>",
"fileWeight": 123,
"format": "PNG",
"height": 123,
"id": 123,
"keywords": [
"<string>"
],
"name": "<string>",
"path": "<string>",
"shared": true,
"siteId": 123,
"size": 123,
"source": "<string>",
"sourceUrl": "<string>",
"tags": [
"<string>"
],
"width": 123
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
ARRAY, BINARY, BOOLEAN, MISSING, NULL, NUMBER, OBJECT, POJO, STRING Response
OK
Image base color
Account ID of the image uploader
Date of image upload
Image file name
Image file size in KB
Image format (formats accepted: JPG, JPEG, PNG, GIF, WEBP, SVG, MVG)
Available options:
PNG, JPEG, GIF, SVG, MVG, WEB Image height in pixels
Unique ID of the image
Keyword(s) associated with the image
Image name
Image path
Indicates if a user shared the image
Unique ID of the site your project belongs to
Image size in bytes. Image file size should be maximum 5242880 bytes
Image source
URL or the image source
Image width in pixels
Was this page helpful?
⌘I
Duplicate an image
curl --request POST \
--url https://api.kameleoon.com/images/{imageId}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"array": true,
"bigDecimal": true,
"bigInteger": true,
"binary": true,
"boolean": true,
"container": true,
"double": true,
"embeddedValue": true,
"empty": true,
"float": true,
"floatingPointNumber": true,
"int": true,
"integralNumber": true,
"long": true,
"missingNode": true,
"null": true,
"number": true,
"object": true,
"pojo": true,
"short": true,
"string": true,
"textual": true,
"valueNode": true
}
'import requests
url = "https://api.kameleoon.com/images/{imageId}/clone"
payload = {
"array": True,
"bigDecimal": True,
"bigInteger": True,
"binary": True,
"boolean": True,
"container": True,
"double": True,
"embeddedValue": True,
"empty": True,
"float": True,
"floatingPointNumber": True,
"int": True,
"integralNumber": True,
"long": True,
"missingNode": True,
"null": True,
"number": True,
"object": True,
"pojo": True,
"short": True,
"string": True,
"textual": True,
"valueNode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
array: true,
bigDecimal: true,
bigInteger: true,
binary: true,
boolean: true,
container: true,
double: true,
embeddedValue: true,
empty: true,
float: true,
floatingPointNumber: true,
int: true,
integralNumber: true,
long: true,
missingNode: true,
null: true,
number: true,
object: true,
pojo: true,
short: true,
string: true,
textual: true,
valueNode: true
})
};
fetch('https://api.kameleoon.com/images/{imageId}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kameleoon.com/images/{imageId}/clone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'array' => true,
'bigDecimal' => true,
'bigInteger' => true,
'binary' => true,
'boolean' => true,
'container' => true,
'double' => true,
'embeddedValue' => true,
'empty' => true,
'float' => true,
'floatingPointNumber' => true,
'int' => true,
'integralNumber' => true,
'long' => true,
'missingNode' => true,
'null' => true,
'number' => true,
'object' => true,
'pojo' => true,
'short' => true,
'string' => true,
'textual' => true,
'valueNode' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kameleoon.com/images/{imageId}/clone"
payload := strings.NewReader("{\n \"array\": true,\n \"bigDecimal\": true,\n \"bigInteger\": true,\n \"binary\": true,\n \"boolean\": true,\n \"container\": true,\n \"double\": true,\n \"embeddedValue\": true,\n \"empty\": true,\n \"float\": true,\n \"floatingPointNumber\": true,\n \"int\": true,\n \"integralNumber\": true,\n \"long\": true,\n \"missingNode\": true,\n \"null\": true,\n \"number\": true,\n \"object\": true,\n \"pojo\": true,\n \"short\": true,\n \"string\": true,\n \"textual\": true,\n \"valueNode\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kameleoon.com/images/{imageId}/clone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"array\": true,\n \"bigDecimal\": true,\n \"bigInteger\": true,\n \"binary\": true,\n \"boolean\": true,\n \"container\": true,\n \"double\": true,\n \"embeddedValue\": true,\n \"empty\": true,\n \"float\": true,\n \"floatingPointNumber\": true,\n \"int\": true,\n \"integralNumber\": true,\n \"long\": true,\n \"missingNode\": true,\n \"null\": true,\n \"number\": true,\n \"object\": true,\n \"pojo\": true,\n \"short\": true,\n \"string\": true,\n \"textual\": true,\n \"valueNode\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kameleoon.com/images/{imageId}/clone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"array\": true,\n \"bigDecimal\": true,\n \"bigInteger\": true,\n \"binary\": true,\n \"boolean\": true,\n \"container\": true,\n \"double\": true,\n \"embeddedValue\": true,\n \"empty\": true,\n \"float\": true,\n \"floatingPointNumber\": true,\n \"int\": true,\n \"integralNumber\": true,\n \"long\": true,\n \"missingNode\": true,\n \"null\": true,\n \"number\": true,\n \"object\": true,\n \"pojo\": true,\n \"short\": true,\n \"string\": true,\n \"textual\": true,\n \"valueNode\": true\n}"
response = http.request(request)
puts response.read_body{
"altText": "<string>",
"baseColor": 123,
"colorDepth": 123,
"createdById": 123,
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"fileName": "<string>",
"fileWeight": 123,
"format": "PNG",
"height": 123,
"id": 123,
"keywords": [
"<string>"
],
"name": "<string>",
"path": "<string>",
"shared": true,
"siteId": 123,
"size": 123,
"source": "<string>",
"sourceUrl": "<string>",
"tags": [
"<string>"
],
"width": 123
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}